Submit the outcome of a 3DS Strong Customer Authentication (SCA) challenge. Call this endpoint after presenting the cardholder with the challenge received via the Payment 3DS SCA webhook, to approve or decline the transaction on their behalf.
Submit 3DS Challenge Outcome
/api/3ds-challenges/{challengeId}/outcome Request
Path Parameters
challengeIdstringrequiredThe Immersve ID for the 3DS challenge, as received in the Payment 3DS SCA webhook payload.
Body application/json
One of
outcomestringrequiredAllowed values:approvedThe cardholder's response to the SCA challenge.
authTypestringdeprecatedThe authentication method used by the cardholder. May include the following values:
pin,face-id,fingerprint,device-passcode. Deprecated — useauthTypesinstead. EitherauthTypeorauthTypesmust be provided.authTypesstring[]requiredA list of authentication methods used by the cardholder. May include the following values:
pin,face-id,fingerprint,device-passcode. EitherauthTypesor the deprecatedauthTypemust be provided.authenticatedAtstring<date-time>requiredThe timestamp when the cardholder completed authentication in UTC.
metadataobjectrequiredAdditional context about the app and device used during authentication.
appIdstringrequiredAn ID for the app submitting the outcome.
deviceIdstringrequiredA stable, platform-native ID for the cardholder's device. Should be consistent across sessions and recognisable to the cardholder.
ipAddressstringrequiredThe IP address of the cardholder's device.
outcomestringrequiredAllowed values:declinedThe cardholder's response to the SCA challenge.
metadataobjectrequiredAdditional context about the app and device used during authentication.
appIdstringrequiredAn ID for the app submitting the outcome.
deviceIdstringrequiredA stable, platform-native ID for the cardholder's device. Should be consistent across sessions and recognisable to the cardholder.
ipAddressstringrequiredThe IP address of the cardholder's device.
Response
Challenge outcome submitted successfully.
Request fields are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
No Authorization to access resource.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring